// Copyright 1996, Marimba Inc. All Rights Reserved.
// Please feel free to use this code as an example.

import java.awt.*;
import marimba.gui.*;

/**
 * This program demonstrates how you can create a
 * presentation including widgets without using the
 * builder. Note that you can avoid a lot of this
 * by creating the presentation using the builder.
 *
 * @author Arthur van Hoff
 */
public class Example extends PlayerFrame {
    /**
     * Handle events that occur in the presentation.
     */
    public boolean handleEvent(Event evt) {
	if ((evt.id == Event.ACTION_EVENT) && (evt.target instanceof Widget)) {
	    Widget w = (Widget)evt.target;
	    String nm = w.getName();

	    // The user has clicked the Hello button
	    if ("hello".equals(nm)) {
		util.setText("message", "Hi there...");
		return true;
	    }

	    // The user has clicked the Goodbye button
	    if ("goodbye".equals(nm)) {
		System.exit(0);
		return true;
	    }
	}
	return super.handleEvent(evt);
    }
    /**
     * The main program.
     */
    public static void main(String argv[]) {
	Example frm = new Example();
	Presentation p = new Presentation();
	p.reshape(0, 0, 240, 100);

	TextWidget w = new TextBoxWidget();
	w.setName("message");
	w.setValue("Welcome...");
	w.reshape(10, 10, 200, 30);
	p.add(w);

	ButtonWidget b1 = new CommandButtonWidget();
	b1.setName("hello");
	b1.setText("Hello");
	b1.reshape(10, 60, 100, 30);
	p.add(b1);

	ButtonWidget b2 = new CommandButtonWidget();
	b2.setName("goodbye");
	b2.setText("Goodbye");
	b2.reshape(120, 60, 100, 30);
	p.add(b2);

	frm.player.setPresentation(p);
	frm.show();
	frm.list();
    }
}
